<?php
// www.bcoos.net 2006-09 1.0.2 GPL
// $Id: main.php,v 1.11 2003/07/10 18:29:58 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
if ( !preg_match("/admin\.php/i", _PHP_SELF) ) {
	exit();
	}
include_once(XOOPS_ROOT_PATH."/modules/system/admin/chmod/chmod.php");

$yes = _YES;
$no = _NO;

switch($op) {
	case "chmodbrowse":
		xoops_cp_header();
		OpenTable();
		chmod_browse();
		CloseTable();
		xoops_cp_footer();
		break;
	case $yes:
		xoops_cp_header();
		OpenTable();
		chmod_do();
		CloseTable();
		xoops_cp_footer();
		break;
		
	case "dochmodagain":
		xoops_cp_header();
		OpenTable();
		chmod_admin();
		CloseTable();
		xoops_cp_footer();
		break;
		
	default:
		xoops_cp_header();
		OpenTable();
		chmod_admin();
		CloseTable();
		xoops_cp_footer();
		break;
}
?>
